diff --git a/Makefile b/Makefile
index 775aef1..c7094f8 100644
--- a/Makefile
+++ b/Makefile
@@ -173,11 +173,11 @@ installwww: www
 	$(INSTALL) -m 0444 lowdown.tar.gz $(WWWDIR)/snapshots
 	$(INSTALL) -m 0444 lowdown.tar.gz.sha512 $(WWWDIR)/snapshots
 
-lowdown: liblowdown.a main.o
-	$(CC) -o $@ main.o liblowdown.a $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
+lowdown: liblowdown.so main.o
+	$(CC) -o $@ main.o -L. -llowdown $(LDFLAGS) $(LDADD_MD5) -lm $(LDADD)
 
 lowdown-diff: lowdown
-	ln -f lowdown lowdown-diff
+	ln -s lowdown lowdown-diff
 
 liblowdown.a: $(OBJS) $(COMPAT_OBJS)
 	$(AR) rs $@ $(OBJS) $(COMPAT_OBJS)
@@ -186,14 +186,14 @@ liblowdown.so: $(OBJS) $(COMPAT_OBJS)
 	$(CC) -shared -o $@.$(LIBVER) $(OBJS) $(COMPAT_OBJS) $(LDFLAGS) $(LDADD_MD5) -lm -Wl,${LINKER_SONAME},$@.$(LIBVER) $(LDLIBS)
 	ln -sf $@.$(LIBVER) $@
 
-install: bins
+install: bins install_libs
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(MANDIR)/man1
 	mkdir -p $(DESTDIR)$(MANDIR)/man5
 	mkdir -p $(DESTDIR)$(SHAREDIR)/lowdown/odt
 	$(INSTALL_DATA) share/odt/styles.xml $(DESTDIR)$(SHAREDIR)/lowdown/odt
 	$(INSTALL_PROGRAM) lowdown $(DESTDIR)$(BINDIR)
-	$(INSTALL_PROGRAM) lowdown-diff $(DESTDIR)$(BINDIR)
+	ln -s lowdown $(DESTDIR)$(BINDIR)/lowdown-diff
 	for f in $(MAN1S) $(MAN5S) ; do \
 		name=`basename $$f .html` ; \
 		section=$${name##*.} ; \
@@ -219,7 +219,7 @@ install_shared: liblowdown.so install_lib_common
 install_static: liblowdown.a install_lib_common
 	$(INSTALL_LIB) liblowdown.a $(DESTDIR)$(LIBDIR)
 
-install_libs: install_shared install_static
+install_libs: install_shared
 
 distcheck: lowdown.tar.gz.sha512
 	mandoc -Tlint -Werror man/*.[135]
